<?php
// $Id: page.tpl.php,v 1.7 2010/11/28 21:07:50 gjmjr Exp $

/**
 * @file page.tpl.php
 *
 * Displays a single Drupal page.
 * Added support for changing header and footer images by theme settings.
 * More compact html structure.
 */

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">
<head><title><?php print $head_title ?></title>
<?php print $head ?>
<?php print $styles ?>
<?php 

  $settings = theme_get_settings('mo6'); 
  if (isset($settings)) {
    if ($settings['mo6_use_header']) {

?>
<style type="text/css">
#page_wrapper { background: #f8f8f8 url(<?php print $base_path . $settings['mo6_header_path'] ?>) top left repeat-x; }
#footer { background: #fff url(<?php print $base_path . $settings['mo6_header_path'] ?>) bottom left repeat-x; }
</style>
<?php

    }
    if ($settings['mo6_use_colors']) {

?>
<style type="text/css">
html, body { color: <?php print check_plain($settings['mo6_color_text']) ?>; }
#page_wrapper { background-color: <?php print check_plain($settings['mo6_color_base']) ?>; }
a { color: <?php print check_plain($settings['mo6_color_link']) ?>; }
blockquote { border-left: 2px solid <?php print check_plain($settings['mo6_color_link']) ?>; }
ul.pager li.pager-current { color: <?php print check_plain($settings['mo6_color_link']) ?>; }
ul.pager li a:hover { color: <?php print check_plain($settings['mo6_color_link']) ?>; }
.node h1, h2, h3, h4, h5, h6 { color: <?php print check_plain($settings['mo6_color_header']) ?>; }
h2 a { color: <?php print check_plain($settings['mo6_color_linked_node']) ?>; }
</style>
<?php

    }
  }

?>
<?php print $scripts ?>
</head><body><div id="page_wrapper"><h1><?php

if (strlen(trim($title)) > 0) {
  print $title;
}
else {
  print $head_title;
}

?></h1><?php

print $breadcrumb;

if ($toppage) {
  print $toppage;
}

if ($tabs) {
  ?><div class="tabs"><?php print $tabs ?></div><?php
}

print $messages; 
print $help;

if ($topcontent) {
  print $topcontent;
}

print $content;

?><div id="side"><?php

if ($left) {
  print $left;
}

if ($right) {
  print $right;
}

?></div><div id="footer"><p><?php print $footer_message; ?> - Powered by <a href="http://drupal.org/" rel="nofollow">Drupal</a> CMS and <a href="http://drupal.org/project/mo6" rel="nofollow">MO6 theme</a></p></div></div><?php print $closure ?></body></html>
